Subject: 27.1: window-dedicated behavior change

From: Boruch Baum <[email-masked]>
Date: Thu, 6 May 2021 19:38:45 -0400

GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24,
cairo version 1.16.0) of 2021-03-27, modified by Debian

Since upgrading to this emacs version, windows seemingly at random
points become dedicated.

Case in point: I just now used dired to navigate to an .../emacs/etc
directory in order to open the NEWS file. Upon having dired perform the
find-file operation, the NEWS file was opened in a prior-created window
(desirable, expected, and prior behavior) on a prior-created (also
desirable, expected, and prior behavior), but dedicated (undesirable,
unexpected, and not prior behavior).

This has been happening with elisp file buffer and even with help
buffers.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0